## Apache Zeta Components Manual :: Docs For Class ezcWebdavBackendChange

### Webdav::ezcWebdavBackendChange

### Interface ezcWebdavBackendChange

Interface implemented by backends which support the DELETE, COPY and MOVE operations.

If a backend supports the following request method, it must implement this interface:

- DELETE
- COPY
- MOVE

Source for this file: /Webdav/src/interfaces/backend/change.php

Version: | //autogentag//

### Method Summary

public ezcWebdavResponse | `copy( $request )` Serves COPY requests.
public ezcWebdavResponse | `delete( $request )` Serves DELETE requests.
public ezcWebdavResponse | `move( $request )` Serves MOVE requests.

### Methods

#### copy

ezcWebdavResponse copy( ezcWebdavCopyRequest $request )

Serves COPY requests.

The method receives a ezcWebdavCopyRequest objects containing all relevant information obout the clients request and will return an instance of ezcWebdavErrorResponse on error or ezcWebdavCopyResponse on success. If only some operations failed, this method may return an instance of ezcWebdavMultistatusResponse.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$request` | ezcWebdavCopyRequest |

#### delete

ezcWebdavResponse delete( ezcWebdavDeleteRequest $request )

Serves DELETE requests.

The method receives a ezcWebdavDeleteRequest objects containing all relevant information obout the clients request and will return an instance of ezcWebdavErrorResponse on error or ezcWebdavDeleteResponse on success.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$request` | ezcWebdavDeleteRequest |

#### move

ezcWebdavResponse move( ezcWebdavMoveRequest $request )

Serves MOVE requests.

The method receives a ezcWebdavMoveRequest objects containing all relevant information obout the clients request and will return an instance of ezcWebdavErrorResponse on error or ezcWebdavMoveResponse on success. If only some operations failed, this method may return an instance of ezcWebdavMultistatusResponse.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$request` | ezcWebdavMoveRequest |

Documentation generated by phpDocumentor 1.4.3